org.apache.myfaces.trinidad.skin

## Enum SkinMetadata.RenderKitId

- java.lang.Object
- - java.lang.Enum<SkinMetadata.RenderKitId>
  - - org.apache.myfaces.trinidad.skin.SkinMetadata.RenderKitId

- All Implemented Interfaces:
    Serializable, Comparable<SkinMetadata.RenderKitId>
  Enclosing class:
    SkinMetadata

      public static enum SkinMetadata.RenderKitId
      extends Enum<SkinMetadata.RenderKitId>

  Enumeration representing RenderKit

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESKTOP` Renderkit Id for DESKTOP
    `PDA` Renderkit Id for PDA
    `PORTLET` Renderkit Id for PORTLET

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SkinMetadata.RenderKitId` | `fromId(String id)` Returns the RenderKit instance or `null` if no id matches or id is passed as null.
    `String` | `id()`
    `String` | `toString()`
    `static SkinMetadata.RenderKitId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SkinMetadata.RenderKitId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESKTOP

          public static final SkinMetadata.RenderKitId DESKTOP

      Renderkit Id for DESKTOP

    - #### PDA

          public static final SkinMetadata.RenderKitId PDA

      Renderkit Id for PDA

    - #### PORTLET

          public static final SkinMetadata.RenderKitId PORTLET

      Renderkit Id for PORTLET

  - ### Method Detail

    - #### values

          public static SkinMetadata.RenderKitId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SkinMetadata.RenderKitId c : SkinMetadata.RenderKitId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SkinMetadata.RenderKitId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### id

          public String id()

      Returns:
        the id of this RenderKit.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SkinMetadata.RenderKitId>`

    - #### fromId

          public static SkinMetadata.RenderKitId fromId(String id)

      Returns the RenderKit instance or `null` if no id matches or id is passed as null.
      Parameters:
        `id` - of RenderKit to return
      Returns:
        RenderKit with the specified id
      Throws:
        `IllegalArgumentException` - if there is no enum with the specified name.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.